package Wx

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wx"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx/selectList Wx GetSelectWxList
//
// Get wx list | 获取Wx列表
//
// Get wx list | 获取Wx列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxSelectListReq
//
// Responses:
//  200: WxSelectListResp

func GetSelectWxListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxSelectListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wx.NewGetSelectWxListLogic(r.Context(), svcCtx)
		resp, err := l.GetSelectWxList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
